Std ViewRotateRight/it: Difference between revisions

From FreeCAD Documentation
(Created page with "==Utilizzo==")
(Created page with "{{Docnav/it |Ruota a sinistra |Viste bloccate |Menu Visualizza |IconL=Std_ViewRotateLeft.svg |IconR= |Ico...")
(2 intermediate revisions by the same user not shown)
Line 32: Line 32:
</div>
</div>


==Scripting==
==Script==


{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
{{Emphasis|Vedere anche:}} [[FreeCAD Scripting Basics/it|Script di base per FreeCAD]]


To rotate the view to the right use the {{incode|viewRotateRight}} method of the ActiveView object. This method is not available if FreeCAD is in console mode.
To rotate the view to the right use the {{incode|viewRotateRight}} method of the ActiveView object. This method is not available if FreeCAD is in console mode.
Line 45: Line 45:
}}
}}


{{Docnav
{{Docnav/it
|[[Std_ViewRotateLeft|Std ViewRotateLeft]]
|[[Std_ViewRotateLeft/it|Ruota a sinistra]]
|[[Std_FreezeViews|Std FreezeViews]]
|[[Std_FreezeViews/it|Viste bloccate]]
|[[Std_View_Menu|Std View Menu]]
|[[Std_View_Menu/it|Menu Visualizza]]
|IconL=Std_ViewRotateLeft.svg
|IconL=Std_ViewRotateLeft.svg
|IconR=
|IconR=

Revision as of 20:37, 14 April 2020

Ruota a destra

Posizione nel menu
Visualizza → Viste standard → Ruota a destra
Ambiente
Tutti
Avvio veloce
Shift+Destra
Introdotto nella versione
-
Vedere anche
Ruota a sinistra

Descrizione

Questo strumento ruota la vista 3D verso destra (in senso orario) di incrementi di 90 gradi.

Utilizzo

Utilizzo

  • Premere Maiusc + Destra oppure andare al menu Visualizza → Viste standard → Ruota a destra.

Script

Vedere anche: Script di base per FreeCAD

To rotate the view to the right use the viewRotateRight method of the ActiveView object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.viewRotateRight()
FreeCADGui.ActiveDocument.ActiveView.getCameraOrientation()